VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Namespace List
- Namespace Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Functions
VSTGUI::PixelBuffer::Private Namespace Reference

## Functions
template<int8_t bs1, int8_t bs2, int8_t bs3, int8_t bs4>
uint32_t | shuffle (uint32_t input)
template<Format SourceFormat, Format DestinationFormat>
void | convert (uint8_t *buffer, uint32_t bytesPerRow, uint32_t width, uint32_t height)

## Function Documentation

void VSTGUI::PixelBuffer::Private::convert | ( | uint8_t * | buffer,
|  | uint32_t | bytesPerRow,
|  | uint32_t | width,
|  | uint32_t | height
| ) |  |
| inline

uint32_t VSTGUI::PixelBuffer::Private::shuffle | ( | uint32_t | input | ) |
| inline